# TdApi.UpdateSupergroupFullInfo

Package it.ernytech.tdlib

## Class TdApi.UpdateSupergroupFullInfo

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateSupergroupFullInfo

Enclosing class:
  TdApi

    public static class TdApi.UpdateSupergroupFullInfo
    extends TdApi.Update

Some data from supergroupFullInfo has been changed.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.SupergroupFullInfo` `supergroupFullInfo` New full information about the supergroup.
`int` `supergroupId` Identifier of the supergroup or channel.

### Constructor Summary

Constructors
`UpdateSupergroupFullInfo()` Default constructor.
`UpdateSupergroupFullInfo​(int supergroupId, TdApi.SupergroupFullInfo supergroupFullInfo)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### supergroupId

    public int supergroupId

Identifier of the supergroup or channel.

#### supergroupFullInfo

    public TdApi.SupergroupFullInfo supergroupFullInfo

New full information about the supergroup.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateSupergroupFullInfo

    public UpdateSupergroupFullInfo()

Default constructor.

#### UpdateSupergroupFullInfo

    public UpdateSupergroupFullInfo​(int supergroupId,
                                    TdApi.SupergroupFullInfo supergroupFullInfo)

Constructor for initialization of all fields.

Parameters:
  `supergroupId` - Identifier of the supergroup or channel.
  `supergroupFullInfo` - New full information about the supergroup.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR